#! /bin/sh

# Find name and location of this script.
this_script=`echo $0 | sed -e 's:.*/::'`
this_dir=`type $0 | sed -e "s:$0 is ::" | sed -e "s:$this_script$::"`
if test -d $test_dir -a -x $test_dir; then
  this_dir=`cd $this_dir; pwd`
fi

# Use the script location to set the PROFIT environment variable.
PROFIT="$this_dir/.."
if test -d $PROFIT -a -x $PROFIT; then
  PROFIT=`cd $PROFIT; pwd`
fi
export PROFIT

PKG_TOP=$PROFIT

APEC="${PKG_TOP}/extern/apec/1.9.9/powerpc-apple-darwin7.9.0"
export APEC
ATOMDB="${PKG_TOP}/extern/atomdb/1.3.1"
export ATOMDB
ROOTSYS="${PKG_TOP}/extern/root/4.04.02f/powerpc-apple-darwin7.9.0"
export ROOTSYS

. $this_dir/profit_init.sh

exec $PROFIT/bin/profit_binary "$@"
